ncload('filamentos1_ctd.nc','LATX','LONX','PRES','TEMP','PSAL','DOX2','DENS')
PRES(PRES>1e35) = NaN; 
TEMP(TEMP>1e35) = NaN;
PSAL(PSAL>1e35) = NaN;
DOX2(DOX2>1e35) = NaN;
DENS(DENS>1e35) = NaN;
Z = min(PRES(:)):max(PRES(:));

X = repmat(LONX,[1,length(Z)]);
Y = repmat(LATX,[1,length(Z)]);
Z = repmat(Z,[length(LONX),1]);

n = 150
x = X(:,1:n+1);
y = Y(:,1:n+1);
z = Z(:,1:n+1);
T = TEMP(:,1:n+1);
S = PSAL(:,1:n+1);
D = DENS(:,1:n+1);
Ox = DOX2(:,1:n+1);
ss = 33.6:0.02:35.4;
tt = 0:0.2:30;
[ss1,tt1] = meshgrid(ss,tt); ss1=ss1';tt1=tt1';
pp1 = 0*ss1;
dens = sw_dens(ss1,tt1,pp1)-1000;

figure
[c,h]=contour(ss,tt,dens',[20.7:0.2:29],'k--');set(h,'color',[.6 .6 .6])
hold on
for i=1:size(X,1)
h=scatter(PSAL(i,:),TEMP(i,:),200,DOX2(i,:));
set(h,'marker','.')
end
caxis([0 275])
colorbar

ylabel('Temperature (C)')
xlabel('Salinity')
title('T-S diagram')
%title_colorbar('mL L^-^1')
good_titles(14)
box on

print -djpeg100 TS_diagram





