#!/bin/sh
# script shell used to process CTD SBE19+ Seabird files with sbe-dataprocessing
# toolchain
# writen during for FILAMENTOS cruise, Jgrelet IRD/IMARPE PERU feb 2008
# $Id$

# set SBEBatch.exe in PATH
# ------------------------
PATH=$PATH:/c/Program\ Files/Sea-Bird/SBEDataProcessing-Win32
PREFIX=fila1
export PATH PREFIX

# display help
# ------------
if [ $# -lt 1 -o $# -gt 2 -o $1 = "-h" -o $1 = "--help" ]; then
  echo "usage: ./process.sh start <end> <\"#w\">"
  echo "ex:    ./process.sh 20"
  echo "ex:    ./process.sh 1 25"
  exit
fi	

# Declare variables and/or give them attributes.
# The  variable  is  treated as an integer; arithmetic evaluation is performed
# when the variable is assigned a value.
# ----------------------------------------------------------------------------
typeset -i debut=$1

# traite le cas des station de 1 a 10
# -----------------------------------
if [ $debut -lt 10 ]; then
  STATION="00${debut}"
elif [ $debut -ge 10 -a $debut -lt 100 ]; then
  STATION="0${debut}"
else	  
  STATION="${debut}"
fi

# Convert Unix to Windows format path to filamentos batch file, use cygpath
# -------------------------------------------------------------------------
DPATH="/c/seasoft/filamentos/sbe19+/filamentos.batch ${PREFIX}"

if [ "${2}" = "" ];then

	# process only if station.hex file exist
	# ---------------------------------------
	if [ -f "data/${PREFIX}${STATION}.hex" ]; then
    CMD="$(cygpath -w "${DPATH}${STATION}")";
	  echo "Processing station: ${STATION}"
    SBEBatch.exe ${CMD}
	else
	  echo "Processing station: ${STATION}: data/${PREFIX}${STATION}.hex file missing ..."
	fi	
elif [ "${2}" = "#w" ]; then

	# process only if station.hex file exist
	# ---------------------------------------
	if [ -f "data/${PREFIX}${STATION}.hex" ]; then
    CMD="$(cygpath -w "${DPATH}${STATION}" "\"${2}\"")";
	  echo "Processing station: ${STATION}"
    SBEBatch.exe ${CMD}
	else
	 echo "Processing station: ${STATION}: data/${PREFIX}${STATION}.hex file  missing ..."
  fi		
else	
 
  
	# arrete le traitement si station <= fin ($2)
  # ------------------------------------------
  while [ $debut -le $2 ]; do

    # traite le cas des station de 1 a 10
	  # -----------------------------------
    if [ $debut -lt 10 ]; then
      STATION="00${debut}"
	  elif [ $debut -ge 10 -a $debut -lt 100 ]; then
      STATION="0${debut}"
		else	  
      STATION="${debut}"
    fi
    CMD="$(cygpath -w "${DPATH}${STATION}")";

		# process only if station.hex file exist
		# ---------------------------------------
		if [ -f "data/${PREFIX}${STATION}.hex" ]; then

 		  # execute SBEBatch.exe with filamentos batch file set
      # ---------------------------------------------------
	    echo "Processing station: ${STATION}"
      SBEBatch.exe ${CMD}
	 else
			echo "Processing station: ${STATION}: data/${PREFIX}${STATION}.hex file missing ..."	
		fi	
		debut=debut+1
	done	
fi



