#!/bin/sh
# script shell used to process CTD SBE19+ Seabird files with sbe-dataprocessing
# toolchain
# writen during for FILAMENTOS cruise, Jgrelet IRD/IMARPE PERU feb 2008
# $Id$

# set station prefix for Filamentos cruise
# ----------------------------------------
PREFIX="fila1"

# set SBEBatch.exe in PATH
# ------------------------
PATH=$PATH:/c/Program\ Files/Sea-Bird/SBEDataProcessing-Win32
export PATH

# display help
# ------------
if [ $# -lt 1 -o $# -gt 2 ]; then
#if [ $# -lt 1 -o $# -gt 2 -o $1 = "-h" -o $1 = "--help" ]; then
  echo "usage: ./process.sh start <end>"
  echo "ex:    ./process.sh 20"
  echo "ex:    ./process.sh 1 25"
  exit
fi	

# get command line arguments ($1 and $2
# -------------------------------------
if [ "${2}" = "" ];then
  STATION=${1};
	CMD=$STATION;
else	
  STATION=${1};
	CMD="${STATION} ${2}";
fi

# run datcnv only in batch file, use to generate or not .ros file
# ---------------------------------------------------------------
DATCNV_PATH="/c/seasoft/filamentos/sbe911+/datcnv.batch  ${PREFIX}${CMD}"
SBEBatch.exe $(cygpath -w "${DATCNV_PATH}")

# check if .ros file exist, and call rigth batch file
# ---------------------------------------------------
#echo "data/${PREFIX}${STATION}.ros"
if [ -f "data/${PREFIX}${STATION}.ros" ]; then
	
	# process CTD with bottle
  # -----------------------		
  echo "Processing station ${STATION} with bottles"
 
	# set batch file path with bottles processing
	# -------------------------------------------
  DEST_PATH="/c/seasoft/filamentos/sbe911+/filamentos.batch  ${PREFIX}${CMD}"

else
	# process CTD without bottle
  # --------------------------		
  echo "Processing station ${STATION} without bottles"

  # set batch file path without bottles processing
  # ----------------------------------------------
  DEST_PATH="/c/seasoft/filamentos/sbe911+/filamentos_nobtl.batch ${PREFIX}${CMD}"

fi

# execute SBEBatch.exe with filamentos batch file set
#Convert Unix to Windows format path to filamentos batch file, use cygpath
# ------------------------------------------------------------------------
SBEBatch.exe $(cygpath -w "${DEST_PATH}")

